# E:/uas2/Server/Shared.h File Reference

`#include <winsock2.h>`
`#include <time.h>`
`#include <list>`
`#include <math.h>`

Go to the source code of this file.

## Classes

struct | cTransportHeader
struct | cFragmentHeader
struct | cLocation
struct | cVelocity
struct | lb
struct | sPaletteChange
struct | sTextureChange
struct | sModelChange
struct | cMonStats
struct | cAvatarList
struct | ConfirmPanel
struct | cTeleTownList
struct | cDungeonList
struct | cAnimates
struct | cSpellBook
struct | cSpellTab
struct | cs_CastMagic
struct | vInventory
struct | sMonsters

## Defines

#define | WM_CLEAROBJECTS WM_APP+1
#define | MAX_PACKET_SIZE 0x1E4
#define | MAX_FRAGMENT_SIZE 0x1D0
#define | MAX_DATA_SIZE 0x1C0
#define | MAX_CORPSES 1000
#define | MAX_MONSTERS 5000
#define | MAX_PETS 5000
#define | DELAY 120
#define | CORPSE_DELAY 60
#define | ACTION_DELAY 1
#define | TICKS_PER_SEC 10
#define | MAX_LEVEL 126
#define | OLD_PASSUP true
#define | PASSED_XP_MULT 1
#define | RECEIVED_XP_MULT 1
#define | MAX_VASSALS 12
#define | MAX_RANK 10
#define | OLD_PASSTHROUGH true
#define | SHARED_XP_MULT 1
#define | OLD_FELLOW_RANGE true
#define | FELLOW_RANGE_MULT 1
#define | MAX_FELLOW_SIZE 9
#define | SAFEDELETE(p)
#define | SAFEDELETE_ARRAY(a)
#define | CHECKRETURN(ExitOnError, hType, hName, ReturnOnError)
#define | Race 3
#define | Gender 2
#define | TexType 3
#define | TexIndex 45

## Typedefs

typedef std::list< cClient * > ::iterator | iterClient_lst
typedef std::list< cObject * > ::iterator | iterObject_lst
typedef std::list< cModels * > ::iterator | iterModel_lst
typedef std::list < cMagicModels * >::iterator | iterMagicModel_lst
typedef std::list < cEnchantment * >::iterator | iterEnchantment_lst
typedef std::list< cNPC * > ::iterator | iterNPCs_lst

## Enumerations

enum | eColors { ColorGreen = 1, ColorWhite = 2, ColorYellow = 3, ColorBrown = 4, ColorMagenta = 5, ColorRed = 6, ColorGreen2 = 7, ColorPink = 8, ColorLightPink = 9, ColorYellow2 = 10, ColorBrown2 = 11, ColorGrey = 12, ColorCyan = 13, ColorAquamarine = 14, ColorRed2 = 15, ColorGreen3 = 16, ColorBlue = 17, ColorGreen4 = 18 }
enum | eAccessLevels { eDeveloper = 0, eAdmin = 1, eSentinel = 2, eAdvocate = 3, eStaff = 4, eUeber = 5, eVIP = 6, eNormal = 7 }

## Functions

void | UpdateConsole (const char *szBuff)
long | UpdateConsole (char *szBuff, long nErr)
void | UpdateConsole (char *szMessage,...)

## Variables

short | g_nCharPort
short | g_nWorldPort
HWND | g_hWndMain
char | g_szLocalIP [16]
WORD | g_wAvatarTexturesList [Race][Gender][TexType][TexIndex]
WORD | g_wAvatarTexturesBaldList [Race][Gender][TexIndex]

## Detailed Description

Defines shared structures and variables.

## Define Documentation

#define CHECKRETURN | ( | ExitOnError,
|  | hType,
|  | hName,
|  | ReturnOnError |  | ) |

Value:

    if (!(retcode == SQL_SUCCESS || retcode == SQL_SUCCESS_WITH_INFO || retcode == SQL_NO_DATA))            \
                            {                                                                                                                                               \
                                    UpdateConsole( " <SQL> %s: Error on line %lu: ", __FILE__, __LINE__ );\
                                    cDatabase::GetError(hType, &hName);                                                                     \
                                    if (ExitOnError)                                                                                                        \
                                    {                                                                                                                                       \
                                            UpdateConsole(" <SQL> Function has been aborted.\r\n");                 \
                                            /*return ReturnOnError; */                                                                              \
                                    }                                                                                                                                       \
                                    else                                                                                                                            \
                                            UpdateConsole(" <SQL> Function has been continued normally.\r\n");      \
                            }

#define SAFEDELETE | ( | p |  | ) |

Value:

    {                                                       \
                    delete (p);                             \
                    (p) = NULL;                             \
            }

#define SAFEDELETE_ARRAY | ( | a |  | ) |

Value:

    {                                                       \
                    delete[] (a);                   \
                    (a) = NULL;                             \
            }